#ifndef __COMMON_H__
#define __COMMON_H__

#include <CL/cl.h>
#include <iostream>
using namespace std;

static void CheckError(const cl_int err, const char *message, 
  const char *file, const int line) {
  
  if (err != CL_SUCCESS) {
    cout << file << "("  << line << ") Error : " << message << endl;
    exit(EXIT_FAILURE);
  }
}
#define CHECK_ERROR(err, message) (CheckError(err, message, __FILE__, __LINE__))

#endif
