#include <iostream>
#include <Windows.h>
#include <math.h>
using namespace std;

const double Min = 0.0;
const double Max = 50.0;
const double A = -0.006;
const double B = 0.1;
const double C = 20.0;
const double D = 1000.0;

int main(int argc, char *argv[]) {
  __int64 elapsedTime;
  __int64 startTime = GetTickCount();

  if(argc != 2) {
    cout << "1 arg is needed\n";
    return 1;
  }
  unsigned __int64 divide = _atoi64(argv[1]);
  double dividedX = (Max - Min) / (double)divide;
  double x = Min + dividedX / 2;
  double y;
  double area = 0.0;
  
  for(unsigned __int64 i = 0; i < divide; i++) {
    y = A * (x * x * x) + B * (x * x) + C * x + D;
    area += fabs(y) * dividedX;
    x += dividedX;
  }
  elapsedTime = GetTickCount() - startTime;
  cout.setf(ios::fixed);
  cout.width(14);
  cout << divide << '\t' << area << '\t' 
    << elapsedTime << endl;
  return 0;
}
